<template>
  <div>
    <div v-for="info in infos_authors" v-bind:key="info.id">
      <h2>{{ info.NBR_BOOKS }}</h2>
      <p>{{ info.LAST_NAME }}</p>
    </div>
  </div>
</template>


<script>
export default {
  data() {
    return {
      infos_authors: [],
    };
  },

  methods: {
    async getData() {
      try {
        const response = await this.axios.get(
          "http://localhost:8080/nbr_books_by_author"
        );
        // JSON responses are automatically parsed.
        this.infos_authors = response.data;        
        console.log("----------------------------------------------------infos_authors = ", this.infos_authors);
        for(const info of this.infos_authors) {
            console.log("-----bookTitle =" , info.TITLE);
        }
      } catch (error) {
        console.log(error);
      }
    },
  },
 created() {
    this.getData();
  },
};
</script>